require_dependency "o_cms/application_controller"

module OCms
  class TemplatesController < ApplicationController

    def index
      @templates = Template.all
    end

    def show
      @template = Template.find(params[:id])
    end

    def new
      @template = Template.new
    end

    def create
      @template = Template.new(template_params)

      if @template.save
        flash[:notice] = "Template was saved successfully."
        redirect_to edit_template_path(@template)
      else
        flash.now[:alert] = "Error creating template. Please try again."
        render :new
      end
    end

    def edit
      @template = Template.find(params[:id])
    end

    def update
      @template = Template.find(params[:id])
      @template.assign_attributes(template_params)

      if @template.save
        flash[:notice] = "Template was updated successfully."
        redirect_to edit_template_path(@template)
      else
        flash.now[:alert] = "Error saving template. Please try again."
        render :edit
      end
    end

    def destroy
      @template = Template.find(params[:id])

      if @template.destroy
        flash[:notice] = "\"#{@template.name}\" was deleted successfully."
        redirect_to action: :index
      else
        flash.now[:alert] = "There was an error deleting the template."
        render :show
      end
    end

    private

    def template_params
      params.require(:template).permit(:name, :slug, :description, :layout)
    end
  end
end
