module OCms
  class Template < ActiveRecord::Base
    default_scope { order('name ASC') }

    has_many :pages

    validates :name, length: { minimum: 5 }, presence: true

    before_validation :create_slug

    def create_slug
      self.slug = "#{name.parameterize}" if self.slug.blank? && self.name.present?
    end
  end
end
